Need help? Chat now!

Hostwinds Tutorial

Cerca risultati per:


Sommario


requisiti minimi di sistema

Requisiti di sistema Magento

Tag: Magento 

requisiti minimi di sistema

Per funzionare senza problemi su qualsiasi sistema, Magento avrà un set di requisiti minimi e raccomandati.I requisiti minimi sono forniti per gli utenti che installano Magento sul proprio server per sapere cosa allocare.Qui, questa guida è scritta per la versione Magento 1.9.x, dove X potrebbe essere un numero qualsiasi in questa versione della community Edition.

requisiti minimi di sistema

RAM: Magento richiede almeno 512 MB di RAM sul server per funzionare correttamente. Tuttavia, si consiglia di avere almeno 1 GB di RAM per prestazioni migliori.

Ambiente LAMP o LEMP: Ciò significa che il magento di solito funziona meglio quando in questo tipo di ambiente web. Lampada sta per Linux, Apache, MySQL e PHP. Allo stesso tempo, la lempa è per Linux, Nginx, MySQL e PHP. Attualmente non utilizziamo Nginx sui nostri piani di hosting condivisi e commerciali disponibili. Tuttavia, i requisiti per la lampada sono soddisfatti dei nostri nuovi piani di hosting.

Sistema operativo: Magento richiede che sia installato su un server Linux con architettura x86. Ciò significa che non sarà possibile installarlo sul sistema operativo Windows. Questo requisito è soddisfatto anche con i nostri attuali piani di hosting, come l'hosting condiviso e aziendale.

Versione server web: Dato che Magento supporta diversi server Web, ci sono diverse versioni per questi che richiederebbero.

Apache: Con Apache, Magento richiederebbe che sia utilizzata almeno la versione 2.x, dove X sarebbe un numero per specificare ulteriormente la versione di Apache. Attualmente, i nostri nuovi piani di hosting utilizzano la versione 2.4, quindi questo non sarebbe un problema.

Nginx: Per Nginx, Magento richiede che sia utilizzata almeno la versione 1.7.x, con X è un numero per specificare ulteriormente la versione di Nginx. I nostri piani di hosting non utilizzano nginx per impostazione predefinita, tuttavia se su un VPS, cloud o server dedicato, è possibile accedere all'accesso root per installare un server Web come Nginx.

Versione PHP: Magento afferma che avrebbe richiesto almeno la versione PHP 5.4, 5.5 o 5.6 da eseguire. Con i nuovi piani di hosting condivisi e aziendali, avresti la possibilità di utilizzare PHP versione 5.6, oltre a 7.0.

Moduli PHP: PHP utilizza moduli per alcune funzionalità aggiuntive. Magento lo utilizza per fornire le molte funzionalità che fanno. Questi sarebbero tutti abilitati sui nostri piani di hosting condiviso e aziendale.

  • PDO_MySQL
  • Simplexml.
  • mcrypt
  • hash
  • GD
  • DOM
  • iconv
  • SAPONE
  • arricciare

Banca dati: Per il database di Magento, utilizza MySQL (oltre a MariaDB).

  • Versione MySQL: Magento richiede la versione 5.6 di MySQL

SSL: Sebbene non richiesto, SSL è fortemente raccomandato con Magento in quanto fungerà da storefront. Dovrai assicurarti che tutte le informazioni dei tuoi clienti siano protette e crittografate.

Qualsiasi pacchetto di web hosting Linux offerto da Hostwinds può soddisfare questi requisiti.

Se hai ulteriori domande su Magento, contattaci tramite Live Chat, chiamaci o invia un ticket con il nostro team di supporto tecnico.

Scritto da Hostwinds Team  /  aprile 10, 2018